using Connected.Annotations;
using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;

public partial class ListSubheader : UIComponent
{
	protected string Classname =>
	new CssBuilder("list-subheader")
		.AddClass("list-subheader-gutters", !DisableGutters)
		.AddClass("list-subheader-inset", Inset)
	  .AddClass(AdditionalClassList)
	.Build();

	[Parameter]
	[Category(CategoryTypes.List.Behavior)]
	public RenderFragment ChildContent { get; set; }

	[Parameter]
	[Category(CategoryTypes.List.Appearance)]
	public bool DisableGutters { get; set; }

	[Parameter]
	[Category(CategoryTypes.List.Appearance)]
	public bool Inset { get; set; }
}
